# Uses of Class
org.apache.commons.math3.optim.PointValuePair

Packages that use PointValuePair
Package
Description
org.apache.commons.math3.optim
Generally, optimizers are algorithms that will either `minimize` or `maximize` a scalar function, called the `objective function`.
org.apache.commons.math3.optim.linear
Optimization algorithms for linear constrained problems.
org.apache.commons.math3.optim.nonlinear.scalar
Algorithms for optimizing a scalar function.
org.apache.commons.math3.optim.nonlinear.scalar.gradient
This package provides optimization algorithms that require derivatives.
org.apache.commons.math3.optim.nonlinear.scalar.noderiv
This package provides optimization algorithms that do not require derivatives.

## Uses of PointValuePair in org.apache.commons.math3.optim

Methods in org.apache.commons.math3.optim with parameters of type PointValuePair
Modifier and Type
Method
Description
`boolean`
SimpleValueChecker.`converged(int iteration, PointValuePair previous, PointValuePair current)`
Check if the optimization algorithm has converged considering the last two points.

## Uses of PointValuePair in org.apache.commons.math3.optim.linear

Methods in org.apache.commons.math3.optim.linear that return PointValuePair
Modifier and Type
Method
Description
`PointValuePair`
SimplexSolver.`doOptimize()`
Performs the bulk of the optimization algorithm.
`PointValuePair`
SolutionCallback.`getSolution()`
Retrieve the best solution found so far.
`PointValuePair`
LinearOptimizer.`optimize(OptimizationData... optData)`
Stores data and performs the optimization.
`PointValuePair`
SimplexSolver.`optimize(OptimizationData... optData)`
Stores data and performs the optimization.

## Uses of PointValuePair in org.apache.commons.math3.optim.nonlinear.scalar

Methods in org.apache.commons.math3.optim.nonlinear.scalar that return PointValuePair
Modifier and Type
Method
Description
`PointValuePair[]`
MultiStartMultivariateOptimizer.`getOptima()`
Gets all the optima found during the last call to `optimize`.
`PointValuePair`
GradientMultivariateOptimizer.`optimize(OptimizationData... optData)`
Stores data and performs the optimization.
`PointValuePair`
MultivariateOptimizer.`optimize(OptimizationData... optData)`
Stores data and performs the optimization.
Methods in org.apache.commons.math3.optim.nonlinear.scalar with parameters of type PointValuePair
Modifier and Type
Method
Description
`protected void`
MultiStartMultivariateOptimizer.`store(PointValuePair optimum)`
Method that will be called in order to store each found optimum.
Constructor parameters in org.apache.commons.math3.optim.nonlinear.scalar with type arguments of type PointValuePair
Modifier
Constructor
Description
`protected`
`GradientMultivariateOptimizer(ConvergenceChecker<PointValuePair> checker)`
`protected`
`MultivariateOptimizer(ConvergenceChecker<PointValuePair> checker)`

## Uses of PointValuePair in org.apache.commons.math3.optim.nonlinear.scalar.gradient

Methods in org.apache.commons.math3.optim.nonlinear.scalar.gradient that return PointValuePair
Modifier and Type
Method
Description
`protected PointValuePair`
NonLinearConjugateGradientOptimizer.`doOptimize()`
Performs the bulk of the optimization algorithm.
`PointValuePair`
NonLinearConjugateGradientOptimizer.`optimize(OptimizationData... optData)`
Stores data and performs the optimization.
Constructor parameters in org.apache.commons.math3.optim.nonlinear.scalar.gradient with type arguments of type PointValuePair
Modifier
Constructor
Description
``
`NonLinearConjugateGradientOptimizer(NonLinearConjugateGradientOptimizer.Formula updateFormula, ConvergenceChecker<PointValuePair> checker)`
Constructor with default tolerances for the line search (1e-8) and `preconditioner`.
``
`NonLinearConjugateGradientOptimizer(NonLinearConjugateGradientOptimizer.Formula updateFormula, ConvergenceChecker<PointValuePair> checker, double relativeTolerance, double absoluteTolerance, double initialBracketingRange)`
Constructor with default `preconditioner`.
``
`NonLinearConjugateGradientOptimizer(NonLinearConjugateGradientOptimizer.Formula updateFormula, ConvergenceChecker<PointValuePair> checker, double relativeTolerance, double absoluteTolerance, double initialBracketingRange, Preconditioner preconditioner)`
``
`NonLinearConjugateGradientOptimizer(NonLinearConjugateGradientOptimizer.Formula updateFormula, ConvergenceChecker<PointValuePair> checker, UnivariateSolver lineSearchSolver)`
Deprecated.
as of 3.3.
``
`NonLinearConjugateGradientOptimizer(NonLinearConjugateGradientOptimizer.Formula updateFormula, ConvergenceChecker<PointValuePair> checker, UnivariateSolver lineSearchSolver, Preconditioner preconditioner)`
Deprecated.
as of 3.3.

## Uses of PointValuePair in org.apache.commons.math3.optim.nonlinear.scalar.noderiv

Methods in org.apache.commons.math3.optim.nonlinear.scalar.noderiv that return PointValuePair
Modifier and Type
Method
Description
`protected PointValuePair`
BOBYQAOptimizer.`doOptimize()`
Performs the bulk of the optimization algorithm.
`protected PointValuePair`
CMAESOptimizer.`doOptimize()`
Performs the bulk of the optimization algorithm.
`protected PointValuePair`
PowellOptimizer.`doOptimize()`
Performs the bulk of the optimization algorithm.
`protected PointValuePair`
SimplexOptimizer.`doOptimize()`
Performs the bulk of the optimization algorithm.
`PointValuePair`
AbstractSimplex.`getPoint(int index)`
Get the simplex point stored at the requested `index`.
`PointValuePair[]`
AbstractSimplex.`getPoints()`
Get the points of the simplex.
`PointValuePair`
CMAESOptimizer.`optimize(OptimizationData... optData)`
Stores data and performs the optimization.
`PointValuePair`
SimplexOptimizer.`optimize(OptimizationData... optData)`
Stores data and performs the optimization.
Methods in org.apache.commons.math3.optim.nonlinear.scalar.noderiv with parameters of type PointValuePair
Modifier and Type
Method
Description
`protected void`
AbstractSimplex.`replaceWorstPoint(PointValuePair pointValuePair, Comparator<PointValuePair> comparator)`
Replace the worst point of the simplex by a new point.
`protected void`
AbstractSimplex.`setPoint(int index, PointValuePair point)`
Store a new point at location `index`.
`protected void`
AbstractSimplex.`setPoints(PointValuePair[] points)`
Replace all points.
Method parameters in org.apache.commons.math3.optim.nonlinear.scalar.noderiv with type arguments of type PointValuePair
Modifier and Type
Method
Description
`void`
AbstractSimplex.`evaluate(MultivariateFunction evaluationFunction, Comparator<PointValuePair> comparator)`
Evaluate all the non-evaluated points of the simplex.
`abstract void`
AbstractSimplex.`iterate(MultivariateFunction evaluationFunction, Comparator<PointValuePair> comparator)`
Compute the next simplex of the algorithm.
`void`
MultiDirectionalSimplex.`iterate(MultivariateFunction evaluationFunction, Comparator<PointValuePair> comparator)`
Compute the next simplex of the algorithm.
`void`
NelderMeadSimplex.`iterate(MultivariateFunction evaluationFunction, Comparator<PointValuePair> comparator)`
Compute the next simplex of the algorithm.
`protected void`
AbstractSimplex.`replaceWorstPoint(PointValuePair pointValuePair, Comparator<PointValuePair> comparator)`
Replace the worst point of the simplex by a new point.
Constructor parameters in org.apache.commons.math3.optim.nonlinear.scalar.noderiv with type arguments of type PointValuePair
Modifier
Constructor
Description
``
`CMAESOptimizer(int maxIterations, double stopFitness, boolean isActiveCMA, int diagonalOnly, int checkFeasableCount, RandomGenerator random, boolean generateStatistics, ConvergenceChecker<PointValuePair> checker)`
``
`PowellOptimizer(double rel, double abs, double lineRel, double lineAbs, ConvergenceChecker<PointValuePair> checker)`
This constructor allows to specify a user-defined convergence checker, in addition to the parameters that control the default convergence checking procedure and the line search tolerances.
``
`PowellOptimizer(double rel, double abs, ConvergenceChecker<PointValuePair> checker)`
This constructor allows to specify a user-defined convergence checker, in addition to the parameters that control the default convergence checking procedure.
``
`SimplexOptimizer(ConvergenceChecker<PointValuePair> checker)`